package com.cim.idm.wmspackage.materialshiprequestdetail.management.data;


import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialShipRequestDetail extends FieldAccessor implements DataInfo<MaterialShipRequestDetailKey> {
	private MaterialShipRequestDetailKey key;
	
	private String materialSpecName;
	private String grade;
	private String domesticExport;
	private double requestQuantity;
	private double assignedQuantity;
	
	
	private String posid;

    public String getPosid() {
        return posid;
    }

    public void setPosid(String posid) {
        this.posid = posid;
    }
    
    //////////////////////////////////////////////////////////////////////////////////////////////////
    // 2024.09.26
    @UserColumnMark
    private String seq;
    @UserColumnMark
    private String wbs_O;
    @UserColumnMark
    private String wbs_N;
    @UserColumnMark
    private String meIns;
    @UserColumnMark
    private String erfMe;
    @UserColumnMark
    private String xloEk;
    @UserColumnMark
    private String kzEar;
    @UserColumnMark
    private String xwaOk;
    @UserColumnMark
    private String liFnr;
    @UserColumnMark
    private String name1;
    @UserColumnMark
    private String bwtar;
    @UserColumnMark
    private String sobkz;

    public String getSeq() {
        return seq;
    }

    public void setSeq(String seq) {
        this.seq = seq;
    }

    public String getWbs_O() {
        return wbs_O;
    }

    public void setWbs_O(String wbs_O) {
        this.wbs_O = wbs_O;
    }

    public String getWbs_N() {
        return wbs_N;
    }

    public void setWbs_N(String wbs_N) {
        this.wbs_N = wbs_N;
    }

    public String getMeIns() {
        return meIns;
    }

    public void setMeIns(String meIns) {
        this.meIns = meIns;
    }

    public String getErfMe() {
        return erfMe;
    }

    public void setErfMe(String erfMe) {
        this.erfMe = erfMe;
    }

    public String getXloEk() {
        return xloEk;
    }

    public void setXloEk(String xloEk) {
        this.xloEk = xloEk;
    }

    public String getKzEar() {
        return kzEar;
    }

    public void setKzEar(String kzEar) {
        this.kzEar = kzEar;
    }

    public String getXwaOk() {
        return xwaOk;
    }

    public void setXwaOk(String xwaOk) {
        this.xwaOk = xwaOk;
    }

    public String getLiFnr() {
        return liFnr;
    }

    public void setLiFnr(String liFnr) {
        this.liFnr = liFnr;
    }

    public String getName1() {
        return name1;
    }

    public void setName1(String name1) {
        this.name1 = name1;
    }

    public String getBwtar() {
        return bwtar;
    }

    public void setBwtar(String bwtar) {
        this.bwtar = bwtar;
    }

    public String getSobkz() {
        return sobkz;
    }

    public void setSobkz(String sobkz) {
        this.sobkz = sobkz;
    }

	private String erpFactory;


    
    //////////////////////////////////////////////////////////////////////////////////////////////////
    
	
	@UserColumnMark
	private String erpFactoryName;
	@UserColumnMark
	private String loadPosition;
	public String getLoadPosition() {
		return loadPosition;
	}
	public void setLoadPosition(String loadPosition) {
		this.loadPosition = loadPosition;
	}
	@UserColumnMark
	private String charge;
	@UserColumnMark
	private String phase;
	@UserColumnMark
	private String erpLocation;
	@UserColumnMark
	private String reasonCode;
	@UserColumnMark
	private String reasonCodeType;
	@UserColumnMark
	private String returnTypeDesc;
	@UserColumnMark
	private String erpReceiveLocation;
	@UserColumnMark
	private String workOrder;
	@UserColumnMark
	private String supplierNO;
	public String getSupplierNO() {
		return supplierNO;
	}
	public void setSupplierNO(String supplierNO) {
		this.supplierNO = supplierNO;
	}
	public String getReasonCode() {
		return reasonCode;
	}
	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}
	public String getReasonCodeType() {
		return reasonCodeType;
	}
	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}
	public String getReturnTypeDesc() {
		return returnTypeDesc;
	}
	public void setReturnTypeDesc(String returnTypeDesc) {
		this.returnTypeDesc = returnTypeDesc;
	}
	@UserColumnMark
	private String workOrderType;
	@UserColumnMark
	private String line;
	
	public String getWorkOrder() {
		return workOrder;
	}
	public void setWorkOrder(String workOrder) {
		this.workOrder = workOrder;
	}
	public String getWorkOrderType() {
		return workOrderType;
	}
	public void setWorkOrderType(String workOrderType) {
		this.workOrderType = workOrderType;
	}
	public String getLine() {
		return line;
	}
	public void setLine(String line) {
		this.line = line;
	}
	public String getReturnType() {
		return returnType;
	}
	public void setReturnType(String returnType) {
		this.returnType = returnType;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	@UserColumnMark
	private String returnType;
	@UserColumnMark
	private String remark;
	
	
	public String getErpReceiveLocation() {
		return erpReceiveLocation;
	}
	public void setErpReceiveLocation(String erpReceiveLocation) {
		this.erpReceiveLocation = erpReceiveLocation;
	}
	
	public String getCharge() {
		return charge;
	}
	public void setCharge(String charge) {
		this.charge = charge;
	}

	public String getPhase() {
		return phase;
	}
	public void setPhase(String phase) {
		this.phase = phase;
	}
	public String getErpLocation() {
		return erpLocation;
	}
	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}	
	
	public MaterialShipRequestDetailKey getKey() {
		return key;
	}
	public void setKey(MaterialShipRequestDetailKey key) {
		this.key = key;
	}
	public String getMaterialSpecName() {
		return materialSpecName;
	}
	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public String getDomesticExport() {
		return domesticExport;
	}
	public void setDomesticExport(String domesticExport) {
		this.domesticExport = domesticExport;
	}
	public double getRequestQuantity() {
		return requestQuantity;
	}
	public void setRequestQuantity(double requestQuantity) {
		this.requestQuantity = requestQuantity;
	}
	public double getAssignedQuantity() {
		return assignedQuantity;
	}

	public String getErpFactory() {
		return erpFactory;
	}

	public void setErpFactory(String erpFactory) {
		this.erpFactory = erpFactory;
	}

	public void setAssignedQuantity(double assignedQuantity) {
		this.assignedQuantity = assignedQuantity;
	}
	public String getErpFactoryName() {
		return erpFactoryName;
	}
	public void setErpFactoryName(String erpFactoryName) {
		this.erpFactoryName = erpFactoryName;
	}


}
